// $Revision: 1.3 $
/*
    RJKDOC - A system for program documentation
    Copyright (C) 2000  Richard Kettlewell

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "rjkdoc.h"

static const char __attribute__((unused)) cvs[] = "$Header: /cvs/rjkdoc/str_to_wstr.cc,v 1.3 2000/01/21 14:17:21 richard Exp $";

wstring str_to_wstr(const string &str) {
    wstring s;

    for(string::size_type n = 0; n < str.length(); n++)
	s += str[n];
    return s;
}

// Local Variables:
// mode:c++
// comment-column:40
// End:
