// $Revision: 1.2 $
/*
    RJKDOC - A system for program documentation
    Copyright (C) 2000  Richard Kettlewell

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

class StyleStack {
private:
    stack<wchar_t> styles;
public:
    virtual ~StyleStack();
    void openStyle(wchar_t);
    void closeStyle();
    virtual wchar_t baseStyle() const = 0;
    virtual void setStyle(wchar_t) = 0;
};

// Local Variables:
// mode:c++
// comment-column:40
// End:
